<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('offers/offers', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'create'])->name('createOffer');
Route::get('offers/offers/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'get'])->name('getOffer');
Route::put('offers/offers/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'replace'])->name('replaceOffer');
Route::delete('offers/offers/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'delete'])->name('deleteOffer');
Route::patch('offers/offers/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'patch'])->name('patchOffer');
Route::post('offers/offers:mass-delete', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'massDelete'])->name('deleteOffers');
Route::post('offers/offers:search', [\App\Http\ApiV1\Modules\Offers\Controllers\OffersController::class, 'search'])->name('searchOffers');
Route::post('offers/certs', [\App\Http\ApiV1\Modules\Offers\Controllers\OfferCertsController::class, 'create'])->name('createOfferCert');
Route::post('offers/certs/{id}:upload-file', [\App\Http\ApiV1\Modules\Offers\Controllers\OfferCertsController::class, 'upload'])->name('uploadOfferCertFile');
Route::get('offers/certs/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OfferCertsController::class, 'get'])->name('getOfferCert');
Route::delete('offers/certs/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OfferCertsController::class, 'delete'])->name('deleteOfferCert');
Route::patch('offers/certs/{id}', [\App\Http\ApiV1\Modules\Offers\Controllers\OfferCertsController::class, 'patch'])->name('patchOfferCert');
Route::post('offers/certs:search', [\App\Http\ApiV1\Modules\Offers\Controllers\OfferCertsController::class, 'search'])->name('searchOfferCerts');
Route::post('stocks/stocks', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'create'])->name('createStock');
Route::get('stocks/stocks/{id}', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'get'])->name('getStock');
Route::put('stocks/stocks/{id}', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'replace'])->name('replaceStock');
Route::delete('stocks/stocks/{id}', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'delete'])->name('deleteStock');
Route::patch('stocks/stocks/{id}', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'patch'])->name('patchStock');
Route::post('stocks/stocks:mass-delete', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'massDelete'])->name('deleteStocks');
Route::post('stocks/stocks:reserve', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'reserve'])->name('reserveStocks');
Route::post('stocks/stocks:search', [\App\Http\ApiV1\Modules\Stocks\Controllers\StocksController::class, 'search'])->name('searchStocks');
